import urlparse
import socket

class NetworkHelper(object):

    @staticmethod
    def get_hostname_from_url(url):
        p = urlparse.urlparse(url)
        return p.hostname

    @staticmethod
    def get_scheme_from_url(url):
        p = urlparse.urlparse(url)
        return p.scheme

    @staticmethod
    def get_path_from_url(url):
        p = urlparse.urlparse(url)
        return p.path

    @staticmethod
    def get_port_from_url(url):
        p = urlparse.urlparse(url)
        return p.port

    @staticmethod
    def get_username_from_url(url):
        p = urlparse.urlparse(url)
        return p.username

    @staticmethod
    def get_password_from_url(url):
        p = urlparse.urlparse(url)
        return p.password

    @staticmethod
    def get_params_from_url(url):
        p = urlparse.urlparse(url)
        return p.params

    @staticmethod
    def get_query_string_from_url(url):
        p = urlparse.urlparse(url)
        return urlparse.parse_qs(p.query, keep_blank_values=True, strict_parsing=True)

    @staticmethod
    def get_ip_from_hostname(hostname):
        return socket.gethostbyname(hostname)